Customer auth keys

Get Active Customer Sign-In Keys

Get active customer sign-in keys in the organization.

GET
/nudge/customer-auth-keys/

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Query Parameters

page*string
Default"1"
Match^[0-9]+$
size*string
Default"25"
Match^[0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/customer-auth-keys/?page=1&size=25"
{
  "status": "success",
  "message": "string",
  "data": [
    {
      "id": "string",
      "signingKeyId": "string",
      "productSpaceId": "string",
      "algorithm": "RS256",
      "createdDate": "2019-08-24T14:15:22Z",
      "modifiedDate": "2019-08-24T14:15:22Z",
      "productSpaceCode": "string",
      "workspaceId": "string",
      "productSpaceName": "string",
      "createdBy": {
        "id": "string",
        "name": "string"
      },
      "modifiedBy": {
        "id": "string",
        "name": "string"
      }
    }
  ],
  "metaData": {
    "page": 0,
    "hasMore": true,
    "pageSize": 0,
    "count": 0
  },
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}